Add-on Store stuck on loading (spinning circle)

Hi everyone,

Just started my journey on Home Assistant. I’ve got a Raspberry Pi 4 Model B 4GB, and have followed the instructions on https://home-assistant.io/getting-started/

I’ve now got it all set up and running but when I go to the Add-On Store, it’s just stuck on the loading / spinning circle. Does it typically take a long time to load on first installation? It’s been spinning for about 30mins - see attached photo.

I’ve had a quick look in the community and on Google, but can’t seem to find anyone else with the same issue - no errors are produced.

Other info that may help:

  • It’s currently connected via ethernet
  • Raspberry Pi and SD card are completely new
  • Tried setting up wifi during installation via USB method but didn’t work
  • During installation I unplugged and replugged power to the Raspberry Pi two separate times due to wifi not working properly, no spare power ports…
  • I’ve tried restarting the server
  • I’m located in New Zealand

Key questions:

  • does it typically take a while to load the add on store, especially after a new install, or is the indicative of something not working as expected?
  • what are my options for troubleshooting, or is it easier to start from scratch again?
  • if starting from scratch, is there any documentation that I could be referred to please?

Thanks!
Regards,
Chom

3 Likes

Click the 3 dots then hit reload, it that does not help there will be logs in the system tab

2 Likes

Thank you!!!

Hello,

I’ve got almost identical situation.
Brand new RPi4/4GB with new 32GB SD card. Fresh installation of hassio 2020.12.7
Unfortunately, “reload” trick didn’t work for me.

What’s interesting is that in “repositories” I have " No repositories". I’m not sure if it’s OK. And I do not know how to add “default” repo.

Also, in system logs I can see


20-12-29 16:28:07 ERROR (MainThread) [supervisor.jobs] Unhandled exception: 'NoneType' object has no attribute 'active_branch'
Traceback (most recent call last):
  File "/usr/src/supervisor/supervisor/jobs/decorator.py", line 61, in wrapper
    return await self._method(*args, **kwargs)
  File "/usr/src/supervisor/supervisor/store/git.py", line 143, in pull
    branch = self.repo.active_branch.name
AttributeError: 'NoneType' object has no attribute 'active_branch'
20-12-29 16:28:07 ERROR (MainThread) [asyncio] Task exception was never retrieved
future: <Task finished name='Task-851' coro=<Repository.update() done, defined at /usr/src/supervisor/supervisor/store/repository.py:101> exception=JobException()>
Traceback (most recent call last):
  File "/usr/src/supervisor/supervisor/jobs/decorator.py", line 61, in wrapper
    return await self._method(*args, **kwargs)
  File "/usr/src/supervisor/supervisor/store/git.py", line 143, in pull
    branch = self.repo.active_branch.name
AttributeError: 'NoneType' object has no attribute 'active_branch'
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
  File "/usr/src/supervisor/supervisor/store/repository.py", line 105, in update
    await self.git.pull()
  File "/usr/src/supervisor/supervisor/jobs/decorator.py", line 67, in wrapper
    raise JobException() from err
supervisor.exceptions.JobException

Regards,
K.

Hmmm, problem solved by… reboot. It looks like installation wasn’t finished properly, but have no idea why :-\

1 Like

Ctrl + F5 worked for me. If not, reboot and Ctrl + F5 seems to be the standard troubleshooting approach.